<!--
  Generated template for the PastBookedPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Past Booked Rides</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding class="grey-background">

  <div *ngIf="rides == 0" class="text-center" ion-text-center>
    <p>You have no past booked rides.</p>
  </div>

  <ion-list inset *ngFor="let r of rides; let i = index" class="rides">
      <ion-card >
        <ion-card-content>
          <ion-grid>
            <ion-row (click)="viewRide(i)">
              <ion-col col-3 class="img-avatar">
                <img *ngIf="r.driver_profile.startsWith('h')" [src]="r.driver_profile">
                <img *ngIf="r.driver_profile.startsWith('/')" [src]="url+r.driver_profile">
              </ion-col>

              <ion-col col-6>
                  <h4> <strong> {{r.driver}} </strong> </h4>
                  <p>{{r.make}} {{r.model}}</p>
              </ion-col>

              <ion-col col-3>
                <h1> ${{r.ride.price}} </h1>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col col-12>
                <p> {{r.start }}  <strong>{{r.ride.city_from}} </strong> </p>
                <p> {{r.end}} <strong> {{r.ride.city_to}} </strong> </p>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col col-6>
                <p> {{r.status}} </p> 
              </ion-col>
              <ion-col col-6>
                <p><strong>Seats Booked:</strong> {{r.seats}} </p>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col col-4>
                <h4><strong> {{r.date}} </strong></h4>
              </ion-col>
              <ion-col col-4>
                <!-- Passing the User Ride ID -->
                <button (click)="rateDriver(r.id, r.driver_profile, r.driver)" ion-button small 
                color="primary" *ngIf="r.reviewed == null">
                  Rate 
                </button>
                <p *ngIf="r.reviewed != null"> </p>
              </ion-col>
              <ion-col col-4>
                <button (click)="reportProblem(r.rides_id)" ion-button small color="danger" >
                  Report 
                </button>
              </ion-col>
            </ion-row>
          </ion-grid> 
        </ion-card-content>
      </ion-card>
  </ion-list>
	
  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
     <ion-infinite-scroll-content></ion-infinite-scroll-content>
   </ion-infinite-scroll>

</ion-content>
